Bug 1365052 - python-XStatic-jQuery: Provide a Python 3 subpackage
Summary: python-XStatic-jQuery: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-XStatic-jQuery
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-08-08 12:05 UTC by Tomas Orsava
Modified: 2016-10-14 12:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 12:46:30 UTC


Attachments (Terms of Use)
Spec file with a Python 3 subpackage (4.17 KB, patch)
2016-10-13 14:37 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-08-08 12:05:06 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Beran 2016-10-13 14:37:50 UTC
Created attachment 1210157 [details]
Spec file with a Python 3 subpackage

May I ask to review carefully the patch?

Note, I modified the spec file according to other python-XStatic-* javascript libraries that differ from the previous spec version of this one where is missing web-assets-filesystem dependence and the related stuff.

Comment 2 Matthias Runge 2016-10-13 15:27:42 UTC
Thank you Jan; I *think*, xstatic-jquery-common can be replaced with js-jquery1. I will have to look at that. They both provide the same thing.

Comment 3 Matthias Runge 2016-10-14 12:46:30 UTC
I went ahead and removed xstatic-jquery-common and replaced it with js-jquery1.


Note You need to log in before you can comment on or make changes to this bug.